## GwySelectionLattice

GwySelectionLattice — Lattice selection

## Functions

GwySelection * | gwy_selection_lattice_new ()

## Types and Values

struct | GwySelectionLattice
struct | GwySelectionLatticeClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionLattice

## Implemented Interfaces

GwySelectionLattice implements GwySerializable.

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

GwySelectionLattice represents lattices. Selection data consist of quadruples of coordinates (x₀, y₀, x₁, y₁), where 0 and 1 denote the two lattice vectors.

## Functions

### gwy_selection_lattice_new()

    GwySelection *
    gwy_selection_lattice_new (void);

Creates a new lattice selection.

#### Returns

A new selection object.

## Types and Values

### struct GwySelectionLattice

    struct GwySelectionLattice;

### struct GwySelectionLatticeClass

    struct GwySelectionLatticeClass {
        GwySelectionClass parent_class;
    };